开发者社区> 问答> 正文

阿里云OpenAPI我安装的sdk,没进项目里面,直接在项目目录同级出现了,怎么回事?

阿里云OpenAPI我安装的sdk,没进项目里面,直接在项目目录同级出现了,可是之前工单的让我安装过全局的
dbf46a1ac777ad63b384c8da15b9af20.png
3a936a0245ad235691307f1769fc266c.png
现在在项目的根目录下安装开始报错了
fd33e0ac149416ee0cdf861e879103d0.png

展开
收起
嘟嘟嘟嘟嘟嘟 2024-05-08 17:47:21 26 0
1 条回答
写回答
取消 提交回答
  • 这个报错是根目录的composer.json的冲突,你在项目新建一个文件夹,比如aliyun 然后再安装包,命令这么输:composer require alibabacloud/dysmsapi-20180501 1.0.5
    之后会弹出一个选择 问你是不是要直接用root composer.json
    要传no。此回答整理自钉群“阿里云 OpenAPI SDK 自签名服务群”

    2024-05-08 20:53:16
    赞同 1 展开评论 打赏
问答排行榜
最热
最新

相关电子书

更多
从 SDK 到编解码:视频直播架构解析 立即下载
跨平台的云服务SDK需要什么 立即下载
一个跨平台的云服务SDK需要什么 立即下载